package kiyut.sketsa.modules.extratool;

import kiyut.sketsa.windows.toolbox.AbstractToolAction;
import org.openide.util.NbBundle;

/** Action wrapper for {@link kiyut.sketsa.modules.extratool.Arrow02Tool} which is used by Toolbox, aka Toolbox Item
 *
 * @author KIYUT
 */
public class Arrow02ToolAction extends AbstractToolAction {

    /**
     * Creates a new instance of Arrow02ToolAction
     */
    public Arrow02ToolAction() {
        tool = new Arrow02Tool();
    }

    @Override
    public String getName() {
        return NbBundle.getMessage(Arrow01ToolAction.class, "CTL_Arrow02ToolAction");
    }

    @Override
    protected String iconResource() {
        return NbBundle.getMessage(Arrow01ToolAction.class, "ICON_Arrow02ToolAction");
    }

}
